"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseSwapParams = exports.parseSwapTestCase = void 0;
const bignumber_js_1 = __importDefault(require("bignumber.js"));
const parseSwapTestCase = (params) => [
    String(params["x"]),
    String(params["X"]),
    String(params["Y"]),
    String(params["f"]),
    String(params["r"]),
    String(params["expectedSwap"]),
    String(params["expectedFee"]),
];
exports.parseSwapTestCase = parseSwapTestCase;
const parseSwapParams = (params) => ({
    params: {
        inputAmount: (0, bignumber_js_1.default)(String(params["x"])),
        inputBalanceInPool: (0, bignumber_js_1.default)(String(params["X"])),
        outputBalanceInPool: (0, bignumber_js_1.default)(String(params["Y"])),
        swapFeeRate: (0, bignumber_js_1.default)(String(params["f"])),
        currentRatioShiftingRate: (0, bignumber_js_1.default)(String(params["r"])),
    },
    expected: {
        swap: (0, bignumber_js_1.default)(String(params["expectedSwap"])),
        fee: (0, bignumber_js_1.default)(String(params["expectedFee"])),
    },
});
exports.parseSwapParams = parseSwapParams;
