import BigNumber from "bignumber.js";
export declare type SwapTestCase = {
    x: string;
    X: string;
    Y: string;
    f: string;
    r: string;
    expectedSwap: string;
    expectedFee: string;
};
export declare const parseSwapTestCase: (params: SwapTestCase) => readonly [string, string, string, string, string, string, string];
export declare const parseSwapParams: (params: SwapTestCase) => {
    params: {
        inputAmount: BigNumber;
        inputBalanceInPool: BigNumber;
        outputBalanceInPool: BigNumber;
        swapFeeRate: BigNumber;
        currentRatioShiftingRate: BigNumber;
    };
    expected: {
        swap: BigNumber;
        fee: BigNumber;
    };
};
